/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.109 Revision 1.274
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.109 2010/02/16 06:47:45 abcd Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.274 2014/10/15 14:48:47 pesa Exp $
4
5 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
6 Fix bug #525392.
7
8 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
9 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
10 Fix building against media-libs/phonon (bug 525354).
11
12*PyQt4-4.11.2-r1 (13 Oct 2014)
13
14 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
15 metadata.xml:
16 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
17 from QtGui.
18
19 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
20 Revert to ~amd64, see bug #523322 comment #4.
21
22 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
23 Stable for amd64, wrt bug #523322
24
25 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
26 arm stable, bug #523322
27
28*PyQt4-4.11.2 (20 Sep 2014)
29
30 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
31 PyQt4-4.11.1.ebuild:
32 Version bump. Silence harmless repoman warning.
33
34 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
35 Drop deprecated python versions.
36
37 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
38 PyQt4-4.11.1.ebuild:
39 Stop using dohtml, remove old.
40
41 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
42 Remove old.
43
44*PyQt4-4.11.1 (15 Jul 2014)
45
46 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
47 PyQt4-4.11.ebuild:
48 Version bump.
49
50 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
51 PyQt4-4.11.ebuild:
52 add py3.4 support req'd to support py packages such as pandas
53
54 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
55 PyQt4-4.10.3-r3.ebuild:
56 Restrict sip dep to =4.15* for older PyQt4 versions.
57
58*PyQt4-4.11 (30 May 2014)
59
60 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
61 Version bump.
62
63 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
64 PyQt4-4.10.3-r3.ebuild, metadata.xml:
65 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
66 Martin Walch in bug 510812.
67
68 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
69 -PyQt4-4.10.3.ebuild:
70 Drop the old versions that required python-exec:0.
71
72 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
73 Remove python herd as discussed with them.
74
75*PyQt4-4.10.3-r3 (27 Mar 2014)
76
77 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
78 Replace manual Python wrapping with proper eclass functions, bug #484404.
79
80 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
81 Stable for sparc, wrt bug #495638
82
83 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
84 Stable for x86, wrt bug #495638
85
86 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
87 Stable for alpha, wrt bug #495638
88
89 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
90 Stable for ia64, wrt bug #495638
91
92 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
93 Stable for ppc64, wrt bug #495638
94
95 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
96 amd64 stable, bug 495638
97
98 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
99 Stable for ppc, wrt bug #495638
100
101 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
102 arm stable, bug #495638
103
104 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
105 files/PyQt4-4.7.3-qreal_float_support.patch:
106 Updated qreal_float patch to remove first hunk (already applied
107 upstream). Tested on arm chromebook; no existing bug.
108
109*PyQt4-4.10.3-r2 (25 Dec 2013)
110
111 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
112 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
113 Introduce USE="designer".
114
115 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
116 old
117
118 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
119 Stable for sparc, wrt bug #483112
120
121 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
122 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
123 Update the ebuilds to dep on dev-lang/python-exec.
124
125 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
126 old
127
128*PyQt4-4.10.3-r1 (23 Oct 2013)
129
130 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
131 Support python-exec:2.
132
133 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
134 Depend on sip >=4.15.0 to fix build failure (bug #485274)
135
136 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
137 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
138 Add explicit dep on python-exec:0 since the package wraps the script manually.
139
140*PyQt4-4.10.3 (17 Sep 2013)
141
142 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
143 Version bump
144
145 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
146 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
147 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
148
149 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
150 arm stable, bug #483112
151
152 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
153 Stable for x86, wrt bug #483112
154
155 05 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
156 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
157 Clean up PYTHON_COMPAT from old implementations.
158
159 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
160 Stable for ppc64, wrt bug #483112
161
162 04 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
163 Stable for ppc, wrt bug #483112
164
165 03 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
166 Stable for ia64, wrt bug #483112
167
168 02 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
169 Stable for alpha, wrt bug #483112
170
171 31 Aug 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
172 Stable for amd64, wrt bug #483112
173
174 22 Jul 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.1.ebuild,
175 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
176 Reorder Qt dependencies.
177
178 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
179 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
180 Fixing qtgui/designer deps for qt-4.8.5
181
182 10 Jul 2013; Patrick Lauer <patrick@gentoo.org> PyQt4-4.10.1.ebuild,
183 PyQt4-4.9.6-r2.ebuild:
184 Fixing qtgui deps for qt-4.8.5
185
186 08 Jul 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.2.ebuild:
187 Remove wrong usedep for qtgui.
188
189*PyQt4-4.10.2 (24 Jun 2013)
190
191 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.2.ebuild:
192 Version bump.
193
194 24 Jun 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.ebuild,
195 PyQt4-4.10.1.ebuild:
196 Add PYTHON_REQUIRED_USE. Remove old.
197
198*PyQt4-4.10.1 (22 May 2013)
199
200 22 May 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.10.1.ebuild:
201 Version bump.
202
203 10 May 2013; Patrick Lauer <patrick@gentoo.org> metadata.xml:
204 Remove unused flag description from metadata
205
206 04 May 2013; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4-r1.ebuild,
207 -files/PyQt4-4.7.2-configure.py.patch,
208 -files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
209 old
210
211*PyQt4-4.10 (12 Mar 2013)
212
213 12 Mar 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.ebuild:
214 Version bump. Fix also bug #433944 by Franz Fellner.
215
216 11 Mar 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
217 Stable for sparc, wrt bug #457046
218
219 03 Mar 2013; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.4-r1.ebuild,
220 PyQt4-4.9.6-r2.ebuild:
221 Move Qt dependencies to the new category
222
223 21 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
224 Stable for ia64, wrt bug #457046
225
226 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
227 Stable for ppc64, wrt bug #457046
228
229 18 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
230 Stable for ppc, wrt bug #457046
231
232 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
233 Stable for alpha, wrt bug #457046
234
235 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
236 Stable for arm, wrt bug #457046
237
238 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
239 Stable for x86, wrt bug #457046
240
241 15 Feb 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.6-r2.ebuild:
242 Stable for amd64, wrt bug #457046
243
244 15 Feb 2013; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r2.ebuild:
245 BUILDDIR -> BUILD_DIR, fixes bug 457538 by ago.
246
247 13 Feb 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r1.ebuild,
248 -PyQt4-4.9.6.ebuild, PyQt4-4.9.6-r2.ebuild:
249 Fix double prefix; remove old.
250
251 04 Feb 2013; Michael Palimaka <kensington@gentoo.org> PyQt4-4.9.6-r2.ebuild:
252 Use run_in_build_dir. Add python-3.3 support wrt bug #455020.
253
254*PyQt4-4.9.6-r2 (29 Jan 2013)
255
256 29 Jan 2013; Michael Palimaka <kensington@gentoo.org> +PyQt4-4.9.6-r2.ebuild:
257 Migrate to the new python eclass.
258
259 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
260 Improve pyqt4_use_enable() as suggested by Arfrever.
261
262 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
263 old
264
265*PyQt4-4.9.6-r1 (26 Dec 2012)
266
267 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
268 metadata.xml:
269 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
270 pyside: rename assistant to help, add script and scripttools (bug 431460 by
271 Arfrever).
272
273*PyQt4-4.9.6 (10 Dec 2012)
274
275 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
276 Version bump, with some minor updates from qt overlay.
277
278 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
279 arm stable, bug #435074
280
281 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
282 PyQt4-4.9.4-r1.ebuild:
283 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
284
285 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
286 -PyQt4-4.9.1.ebuild:
287 Remove old
288
289*PyQt4-4.9.5 (05 Oct 2012)
290
291 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
292 Version bump
293
294 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
295 alpha/ia64/sparc stable wrt #429042
296
297*PyQt4-4.9.4-r1 (03 Sep 2012)
298
299 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
300 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
301 Apply upstream patch to fix regression in pyuic's handling of custom widgets
302 (bug 431070 by Laurent Bachelier).
303
304 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
305 Stable for x86, wrt bug #429042
306
307 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
308 Stable for amd64, wrt bug #429042
309
310 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
311 Stable ppc64, bug #429042
312
313 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
314 Stable ppc, bug #429042
315
316 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
317 ia64 stable
318
319 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
320 -files/PyQt4-4.6.1-configure-multilib.patch:
321 Remove old.
322
323 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
324 PyQt4-4.9.4.ebuild:
325 alpha/ia64/sparc stable wrt #412929
326
327*PyQt4-4.9.4 (02 Jul 2012)
328
329 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
330 -PyQt4-4.9.3.ebuild:
331 Version bump.
332
333*PyQt4-4.9.3 (27 Jun 2012)
334
335 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
336 -PyQt4-4.9.2.ebuild:
337 Version bump.
338
339 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
340 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
341
342*PyQt4-4.9.2 (21 Jun 2012)
343
344 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
345 Version bump
346
347 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
348 Destabling to ~ia64 because last available stable qt will be masked pending
349 removal
350
351 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
352 marked x86 per bug 412929
353
354 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
355 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
356 Inherit eutils.
357
358 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
359 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
360 Revert previous change.
361
362 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
363 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
364 Restrict python 3.1 to match dev-python/dbus-python.
365
366 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
367 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
368
369 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
370 Migrating dev-util/pkgconfig -> virtual/pkgconfig
371
372 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
373 Stable for amd64, wrt bug #412929
374
375 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
376 Stable on alpha, bug #354033
377
378 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
379 PyQt4-4.8.4.ebuild:
380 PyQt4-4.8 does not build with sip-4.13, bug 407291
381
382 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
383 Slightly improve the ewarn message in pkg_postinst().
384
385 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
386 Put qt as the primary herd in metadata.
387
388 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
389 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
390 <slong@rathaus.eclipse.co.uk> in bug #407281.
391
392 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
393 Switch to EAPI 4, add REQUIRED_USE.
394
395 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
396 PyQt4-4.8.4.ebuild:
397 Drop ~x86-fbsd because of unkeyworded dependencies.
398
399 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
400 Don't enable QtAssistant module because it was removed in qt-4.7 and we
401 already depend on 4.7.2 or later.
402
403 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
404 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
405 Restrict pypy for older versions too.
406
407 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
408 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
409 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
410 version.
411
412 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
413 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
414 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
415 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
416 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
417 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
418
419 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
420 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
421 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
422 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
423 Fixing pypy restricts to actually work
424
425*PyQt4-4.9.1 (12 Feb 2012)
426
427 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
428 version bump
429
430 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
431 builds with qt-opengl-4.8.0[egl], updated dep
432
433 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
434 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
435 Fixes backported from Progress Overlay. Patch by Arfrever.
436
437*PyQt4-4.9 (24 Dec 2011)
438
439 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
440 Version bump
441
442*PyQt4-4.8.6 (11 Nov 2011)
443
444 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
445 Version bump
446
447 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
448 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
449 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
450 python overlay.
451
452*PyQt4-4.8.5 (19 Aug 2011)
453
454 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
455 Version bump
456
457 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
458 ppc/ppc64 stable wrt #374591
459
460 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
461 x86 stable, bug #374591
462
463 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
464 ppc64 stable wrt #354033
465
466 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
467 Stable on amd64 wrt bug #374591
468
469 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
470 Marking PyQt4-4.8.3 ppc stable for bug 354033
471
472 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
473 Stable on amd64 wrt bug #354033
474
475 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
476 x86 stable per bug 354033
477
478*PyQt4-4.8.4 (02 May 2011)
479
480 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
481 +PyQt4-4.8.4.ebuild:
482 Version bump.
483
484 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
485 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
486 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
487 Adapt phonon dependency for package move
488
489 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
490 ppc64 stable wrt #349607
491
492 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
493 ia64/sparc stable wrt #349607
494
495 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
496 Stable on alpha, bug #349607
497
498 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
499 PyQt4-4.8.3.ebuild:
500 Update dependencies (bug #353053).
501
502*PyQt4-4.8.3 (25 Jan 2011)
503
504 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
505 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
506 Version bump.
507
508 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
509 x86 stable wrt bug #349607
510
511 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
512 Marking PyQt4-4.8.1 ppc stable for bug 349607
513
514 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
515 Stable on amd64 wrt bug #349607
516
517 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
518 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
519 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
520
521*PyQt4-4.8.1-r1 (30 Dec 2010)
522
523 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
524 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
525 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
526
527 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
528 PyQt4-4.8.2.ebuild:
529 Fix dependencies (bug #349672).
530
531*PyQt4-4.8.2 (24 Dec 2010)
532
533 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
534 +PyQt4-4.8.2.ebuild:
535 Version bump.
536
537 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
538 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
539 Restrict Jython ABIs.
540
541 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
542 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
543 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
544 -files/configure.py.patch:
545 Delete.
546
547 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
548 old, depends on qt 4.5
549
550 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
551 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
552 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
553 Remove HPPA keywording (bug #239441).
554
555*PyQt4-4.8.1 (30 Oct 2010)
556
557 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
558 +PyQt4-4.8.1.ebuild:
559 Version bump.
560
561 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
562 ia64/sparc stable wrt #315775
563
564*PyQt4-4.8 (23 Oct 2010)
565
566 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
567 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
568 +PyQt4-4.8.ebuild, metadata.xml:
569 Version bump.
570
571*PyQt4-4.7.7-r1 (06 Oct 2010)
572
573 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
574 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
575 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
576
577*PyQt4-4.7.7 (21 Sep 2010)
578
579 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
580 +PyQt4-4.7.7.ebuild:
581 Version bump. Remove old bogus version
582
583 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
584 Stable on alpha, bug #315775
585
586 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
587 Marked ppc stable for bug #315775.
588
589 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
590 PyQt4-4.7.6.ebuild:
591 Update EAPI. Fix dependencies.
592
593*PyQt4-4.7.6 (08 Sep 2010)
594
595 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
596 +PyQt4-4.7.6.ebuild:
597 Version bump. Remove old ebuild
598
599 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
600 PyQt4-4.7.5.ebuild:
601 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
602
603*PyQt4-4.7.5 (01 Sep 2010)
604
605 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
606 +PyQt4-4.7.5.ebuild:
607 Version bump
608
609 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
610 Stable for HPPA (bug #315775).
611
612 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
613 Bump sip dependency to 4.10.3. Fix arm epatch command
614
615*PyQt4-4.7.4 (13 Jul 2010)
616
617 13 Jul 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.4.ebuild:
618 Version bump
619
620 05 Jul 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.3.ebuild:
621 ppc64 stable wrt #315775
622
623 16 Jun 2010; Tomas Touceda <chiiph@gentoo.org> PyQt4-4.7.3.ebuild,
624 +files/PyQt4-4.7.3-qreal_float_support.patch:
625 Add patch for qreal/float support in ARM wrt bug 322349
626
627 03 Jun 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.7.3.ebuild:
628 x86 stable wrt bug 315775
629
630 25 May 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.3.ebuild:
631 Stable on amd64 wrt bug 315775
632
633 23 Apr 2010; Theo Chatzimichos <tampakrap@gentoo.org> PyQt4-4.7.ebuild,
634 PyQt4-4.7.2.ebuild, PyQt4-4.7.3.ebuild:
635 Fix sip dep in PyQt4 ebuilds
636
637*PyQt4-4.7.3 (17 Apr 2010)
638
639 17 Apr 2010; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.7.3.ebuild:
640 Version bump
641
642 11 Apr 2010; <nixnut@gentoo.org> PyQt4-4.7.ebuild:
643 ppc stable #301105
644
645*PyQt4-4.7.2 (18 Mar 2010)
646
647 18 Mar 2010; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.7.2.ebuild,
648 +files/PyQt4-4.7.2-configure.py.patch:
649 Version bump. ChangeLog is no longer shipped. Update patch.
650
651 03 Mar 2010; Christian Faulhammer <fauli@gentoo.org> PyQt4-4.7.ebuild:
652 stable x86, bug 301105
653
654 02 Mar 2010; Samuli Suominen <ssuominen@gentoo.org> PyQt4-4.7.ebuild:
655 amd64 stable wrt #301105
4 656
5 16 Feb 2010; Jonathan Callen <abcd@gentoo.org> 657 16 Feb 2010; Jonathan Callen <abcd@gentoo.org>
6 -files/PyQt4-4.4.4-qgraphicsproxywidget-avoid-event-callback-loop.patch, 658 -files/PyQt4-4.4.4-qgraphicsproxywidget-avoid-event-callback-loop.patch,
7 -files/fix_license_check.patch: 659 -files/fix_license_check.patch:
8 Drop old patches 660 Drop old patches
444*PyQt4-4.0_beta1 (05 May 2006) 1096*PyQt4-4.0_beta1 (05 May 2006)
445 1097
446 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 1098 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
447 +PyQt4-4.0_beta1.ebuild: 1099 +PyQt4-4.0_beta1.ebuild:
448 initial import, from bug #121554 1100 initial import, from bug #121554
449

Legend:
Removed from v.1.109  
changed lines
  Added in v.1.274

  ViewVC Help
Powered by ViewVC 1.1.20